#include "up1.bmp"
#include "up2.bmp"
#include "down1.bmp"
#include "down2.bmp"
#include "exit.bmp"

#define	EXT_FLG			(1)

#define	WINP_X			(0)
#define	WINP_Y			(0)

#define	WIN_X			(0)
#define	WIN_Y			(MENP_HEIT)

#define	SCRL_BOR		(1)
#define	SCRP_X			(Pager.Win_Wid)
#define	SCRP_Y			(MENP_HEIT)
#define	SCRP_WID		(SCRL_WID + SCRL_BOR * 2 + 2)
#define	SCRP_HEIT		(SCRL_HEIT+BOX_HEIT*4 + SCRL_BOR * 2 * 5 + 8)

#define	SCRL_X			(0)
#define	SCRL_Y			(UP1_Y + UP1_HEIT + 1 + SCRL_BOR*2)
#define	SCRL_WID		(16)
#define	SCRL_HEIT		(RMan.WINP_HEIT-MENP_HEIT-BOX_HEIT*4-SCRL_BOR * 2*5-8)

#define	BOX_X			(0)
#define	BOX_Y			(1)
#define	BOX_WID			(SCRL_WID)
#define	BOX_HEIT		(SCRL_WID)

#define	UP1_X			(1)
#define	UP1_Y			(BOX_HEIT+SCRL_BOR*2*1+3)
#define	UP1_WID			(BOX_WID)
#define	UP1_HEIT		(BOX_HEIT)

#define	UP2_X			(1)
#define	UP2_Y			(1)
#define	UP2_WID			(BOX_WID)
#define	UP2_HEIT		(BOX_HEIT)

#define	DOWN1_X			(1)
#define	DOWN1_Y			(SCRL_HEIT + BOX_HEIT*2 + SCRL_BOR*2*3 + 5)
#define	DOWN1_WID		(BOX_WID)
#define	DOWN1_HEIT		(BOX_HEIT)

#define	DOWN2_X			(1)
#define	DOWN2_Y			(SCRL_HEIT + BOX_HEIT*3 + SCRL_BOR*2*4 + 7)
#define	DOWN2_WID		(BOX_WID)
#define	DOWN2_HEIT		(BOX_HEIT)

#define MEN_BOR			(1)
#define	MENP_WID		(RMan.WINP_WID)
#define	MENP_HEIT		((MEN_HEIT+(MEN_BOR+1)*2)*MenuWin.YY+(EXT_HEIT+(MEN_BOR+1)*2)*EXT_FLG)
#define	MEN_WID			((RMan.WINP_WID-MenuWin.XX*MEN_BOR*4)/MenuWin.XX)
/*
#define	MEN_WID			((WINP_WID-MenuWin.XX*MEN_BOR*2)/MenuWin.XX)
*/
#define	MEN_HEIT		(17)

#define	EXT_X			(0)
#define	EXT_Y			(0)
#define	EXT_WID			(MEN_HEIT)
#define	EXT_HEIT		(MEN_HEIT)

#define	ANK				(0)
#define	KANJI			(1)

#define	MAXHEIT			1000
#define	NoMan1			"܂}jA܂."
#define	NoMan2			"CNg܂."

struct MENU{
	char	name[80];
	char	type;
	char	title[80];
};

struct FontNameSet{
	int    size;
	char   KanjiFontName[80];
	char   AnkFontName[80];
};

struct FileSet{
	int             file_pos;
	char            file_table;
	unsigned char   filename[80];
};

struct RMAN{
	Display	*display;
	Window	window_p;
	Window	scrbar_p;
	Window	search_p;
	Window	search;
	Pixmap	IconPixmap;
	int		MEN_SIZE_X;
	int		WINP_WID;
	int		WINP_HEIT;
	long	MainFG;
	long	MainBG;
	long	BitmFG;
	long	PlaneMask;
	char	*Bitmap;
	char	*Icon;
	char	*KANJI_FONT;
	char	*ANK_FONT;
	char	*MENU_KANJI;
	char	*MENU_ANK;
	char	*MainFGName;
	char	*MainBGName;
	char	*MenuFGName;
	char	*MenuBGName;
	char	*TitlFGName;
	char	*TitlBGName;
	char	*ScrlFGName;
	char	*ScrlBGName;
	char	*BitmFGName;
	char	*winname;
	char	*ENV[10];
	int		ENV_NO;
	int		MaxLine;
};

